Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Auswahl

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Auswahl

All Implemented Interfaces:
  Serializable

    public class Auswahl

extends Komponente
implements Serializable

Eine Auswahl ist die Klasse fuer Java-Choices (Popup-Menus). Auswahlen reagieren auf einen Mausklick.

Version:
  7.3 vom 11.10.2011
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Field Summary

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`Auswahl(double pLinks, double pOben, double pBreite, double pHoehe)` Die Auswahl wird erzeugt.
`Auswahl(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe)` Die Auswahl wird erzeugt.

Method Summary
`protected void` | `bekommtFokus()` Die Auswahl erhaelt den Fokus.
`void` | `entferneAlleZeilen()` Die momentane Anzahl der Zeilen in der Auswahl wird auf 0 gesetzt.
`protected void` | `gewaehlt(int pIndex, String pText)` Die Auswahl reagiert auf einen Mausklick.
`void` | `haengeAn(String pText)` Eine neue Zeile wird and die Auswahl angehaengt.
`int` | `index()` Der momentane Index der Auswahl wird abgefragt.
`void` | `setzeBearbeiterGeaendert(String pBearbeiter)` Die Methode zur Bearbeitung des Geaendert-Ereignisses in der Ereignisanwendung wird festgelegt.
`String` | `text()` Der momentane Text der Auswahl wird abgefragt.
`protected void` | `verliertFokus()` Die Auswahl verliert den Fokus.
`void` | `waehle(int pIndex)` Der momentane Index der Auswahl wird geaendert.
`void` | `waehle(String pText)` Der momentane Text der Auswahl wird geaendert.
`int` | `zeilenAnzahl()` Die momentane Anzahl der Zeilen in der Auswahl wird abgefragt.

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeGroesse, setzeHinweis, setzePosition, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Auswahl

    public Auswahl(double pLinks,
                   double pOben,
                   double pBreite,
                   double pHoehe)

  Die Auswahl wird erzeugt. Position sowie Breite und Hoehe werden als Parameter uebergeben. Die Auswahl befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente

### Auswahl

    public Auswahl(Fenster pFenster,
                   double pLinks,
                   double pOben,
                   double pBreite,
                   double pHoehe)

  Die Auswahl wird erzeugt. Position sowie Breite und Hoehe werden als Parameter uebergeben. Die Auswahl befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente

Method Detail

### bekommtFokus

    protected void bekommtFokus()

  Die Auswahl erhaelt den Fokus.

### entferneAlleZeilen

    public void entferneAlleZeilen()

  Die momentane Anzahl der Zeilen in der Auswahl wird auf 0 gesetzt.

### gewaehlt

    protected void gewaehlt(int pIndex,
                            String pText)

  Die Auswahl reagiert auf einen Mausklick.

### haengeAn

    public void haengeAn(String pText)

  Eine neue Zeile wird and die Auswahl angehaengt.

  Parameters:
    `pText` - der Text, der am Ende als neue Zeileangehaengt wird

### index

    public int index()

  Der momentane Index der Auswahl wird abgefragt.

  Returns:
    der aktuelle Index der Auswahl

### setzeBearbeiterGeaendert

    public void setzeBearbeiterGeaendert(String pBearbeiter)

  Die Methode zur Bearbeitung des Geaendert-Ereignisses in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn die Auswahl geaendert wurde.

### text

    public String text()

  Der momentane Text der Auswahl wird abgefragt.

  Returns:
    der aktuelle text der Auswahl

### verliertFokus

    protected void verliertFokus()

  Die Auswahl verliert den Fokus.

### waehle

    public void waehle(int pIndex)

  Der momentane Index der Auswahl wird geaendert.

  Parameters:
    `pIndex` - der neue Index der Auswahl

### waehle

    public void waehle(String pText)

  Der momentane Text der Auswahl wird geaendert.

  Parameters:
    `pText` - der neue Text der Auswahl

### zeilenAnzahl

    public int zeilenAnzahl()

  Die momentane Anzahl der Zeilen in der Auswahl wird abgefragt.

  Returns:
    die Anzahl der Zeilen der Auswahl

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD